package cn.iocoder.yudao.module.ecw.controller.admin.bankAccount.vo;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 银行账户 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BankAccountBaseVO {

    @ApiModelProperty(value = "户名", required = true)
    @NotNull(message = "户名不能为空")
    private String baAccountName;

    @ApiModelProperty(value = "开户银行", required = true)
    @NotNull(message = "开户银行不能为空")
    private String baBankName;

    @ApiModelProperty(value = "银行账号", required = true)
    @NotNull(message = "银行账号不能为空")
    private String baAccountNum;

    @ApiModelProperty(value = "银行代码", required = true)
    @NotNull(message = "银行代码不能为空")
    private String baSwiftCode;

    @ApiModelProperty(value = "开户银行地址", required = true)
    @NotNull(message = "开户银行地址不能为空")
    private String baBankAdd;

    @ApiModelProperty(value = "类型字典（1公账,2私账）", required = true)
    @NotNull(message = "类型字典（1公账,2私账）不能为空")
    private Integer baType;

    @ApiModelProperty(value = "状态（0正常 1停用）", required = false)
    private Integer status;

    @ApiModelProperty(value = "开户国家")
    private Integer baCountry;

    @ApiModelProperty(value = "收入归属")
    private Integer baIncomeBelong;

    @ApiModelProperty(value = "币种")
    private Integer baCurrency;

    @ApiModelProperty(value = "余额")
    private java.math.BigDecimal baBalance;

}
