package cn.iocoder.yudao.module.ecw.controller.admin.bankAccount.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - 银行账户 Excel 导出 Request VO", description = "参数和 BankAccountPageReqVO 是一致的")
@Data
public class BankAccountExportReqVO {

    @ApiModelProperty(value = "户名")
    private String baAccountName;

    @ApiModelProperty(value = "开户银行")
    private String baBankName;

    @ApiModelProperty(value = "银行账号")
    private String baAccountNum;

    @ApiModelProperty(value = "银行代码")
    private String baSwiftCode;

    @ApiModelProperty(value = "开户银行地址")
    private String baBankAdd;

    @ApiModelProperty(value = "类型字典（1公账,2私账）")
    private Integer baType;

//    @ApiModelProperty(value = "数据来源字典（pc端，mobile端）")
//    private String source;

    @ApiModelProperty(value = "状态（0正常 1停用）")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "开户国家")
    private Integer baCountry;

    @ApiModelProperty(value = "收入归属")
    private Integer baIncomeBelong;

    @ApiModelProperty(value = "币种")
    private Integer baCurrency;

}
