package cn.iocoder.yudao.module.ecw.convert.bankAccount;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.ecw.api.bank.dto.BankAccountDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.controller.admin.bankAccount.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.bankAccount.BankAccountDO;

/**
 * 银行账户 Convert
 *
 * @author 久点源码
 */
@Mapper
public interface BankAccountConvert {

    BankAccountConvert INSTANCE = Mappers.getMapper(BankAccountConvert.class);

    BankAccountDO convert(BankAccountCreateReqVO bean);

    BankAccountDO convert(BankAccountUpdateReqVO bean);
    BankAccountDO convert(BankAccountUpdateStatusReqVO bean);

    BankAccountRespVO convert(BankAccountDO bean);

    List<BankAccountRespVO> convertList(List<BankAccountDO> list);

    PageResult<BankAccountRespVO> convertPage(PageResult<BankAccountDO> page);

    List<BankAccountExcelVO> convertList02(List<BankAccountDO> list);

    BankAccountDTO convertDTO(BankAccountDO bankAccountDO);

    List<BankAccountDTO> convertDTOList(List<BankAccountDO> bankAccountDOs);
}
