package cn.iocoder.yudao.module.ecw.dal.dataobject.bankAccount;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 银行账户 DO
 *
 * @author 久点源码
 */
@TableName("ecw_bank_account")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BankAccountDO extends BaseDO {

    /**
     * 银行账号编号
     */
    @TableId
    private Long id;
    /**
     * 户名
     */
    private String baAccountName;
    /**
     * 开户银行
     */
    private String baBankName;
    /**
     * 银行账号
     */
    private String baAccountNum;
    /**
     * 银行代码
     */
    private String baSwiftCode;
    /**
     * 开户银行地址
     */
    private String baBankAdd;
    /**
     * 类型字典（1公账,2私账）
     */
    private Integer baType;
//    /**
//     * 数据来源字典（pc端，mobile端）
//     */
//    private String source;
    /**
     * 状态（0正常 1停用）
     */
    private Integer status;
    /**
     * 开户国家
     */
    private Integer baCountry;
    /**
     * 收入归属
     */
    private Integer baIncomeBelong;
    /**
     * 币种
     */
    private Integer baCurrency;
    /**
     * 余额
     */
    private java.math.BigDecimal baBalance;

}
