package cn.iocoder.yudao.module.ecw.dal.dataobject.internalMessage;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * 站内信 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_web_internal_message")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WebInternalMessageDO extends BaseDO {

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 站内信来源ID
     */
    private String fromId;
    /**
     * 发送时间
     */
    private Date sendTime;
    /**
     * 标题中文
     */
    private String title;
    /**
     * 标题英文
     */
    private String titleEn;
    /**
     * 标题法文
     */
    private String titleFr;
    /**
     * 内容中文
     */
    private String content;
    /**
     * 内容英文
     */
    private String contentEn;
    /**
     * 内容法文
     */
    private String contentFr;
    /**
     * 1订单消息，2出货消息,3提醒消息
     */
    private Integer type;

}
