package cn.iocoder.yudao.module.ecw.service.api;

import cn.iocoder.yudao.module.ecw.api.region.RegionApi;
import cn.iocoder.yudao.module.ecw.api.region.dto.RegionDTO;
import cn.iocoder.yudao.module.ecw.dal.dataobject.region.RegionDO;
import cn.iocoder.yudao.module.ecw.dal.mysql.region.RegionMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.stream.Collectors;

@Service
public class RegionApiImpl implements RegionApi {

    @Resource
    private RegionMapper regionMapper;
    @Override
    public List<RegionDTO> getTradeCountryList() {
        List<RegionDO> countryList = regionMapper.getImportExportCountryList();
        List<RegionDTO> dtoList = countryList.stream().map(c -> {
            RegionDTO regionDTO = new RegionDTO();
            regionDTO.setId(c.getId());
            regionDTO.setTitleZh(c.getTitleZh());
            regionDTO.setTitleEn(c.getTitleEn());
            return regionDTO;
        }).collect(Collectors.toList());
        return dtoList;
    }

    @Override
    public RegionDTO getRegionById(Long id) {
        RegionDO regionDO = regionMapper.selectById(id);
        if (regionDO != null) {
            RegionDTO regionDTO = new RegionDTO();
            regionDTO.setId(regionDO.getId());
            regionDTO.setTitleZh(regionDO.getTitleZh());
            regionDTO.setTitleEn(regionDO.getTitleEn());
            regionDTO.setImportCurrency1(regionDO.getImportCurrency1());
            regionDTO.setImportCurrency2(regionDO.getImportCurrency2());
            regionDTO.setImportCurrency3(regionDO.getImportCurrency3());
            regionDTO.setImportCurrency4(regionDO.getImportCurrency4());
            regionDTO.setImportCurrency5(regionDO.getImportCurrency5());
            return regionDTO;
        }
        return null;
    }
}
