package cn.iocoder.yudao.module.ecw.vo.internalMessage;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 站内信 Response VO
 *
 * @author 系统管理员
 */
@Data
@ApiModel("管理后台 - 站内信 Response VO")
public class InternalMessageBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("站内信来源ID")
    @ApiModelProperty(value = "站内信来源ID")
    private String fromId;

    @ExcelProperty("发送时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "发送时间")
    private Date sendTime;

    @ExcelProperty("标题中文")
    @ApiModelProperty(value = "标题中文")
    private String title;

    @ExcelProperty("标题英文")
    @ApiModelProperty(value = "标题英文")
    private String titleEn;

    @ExcelProperty("标题法文")
    @ApiModelProperty(value = "标题法文")
    private String titleFr;

    @ExcelProperty("内容中文")
    @ApiModelProperty(value = "内容中文")
    private String content;

    @ExcelProperty("内容英文")
    @ApiModelProperty(value = "内容英文")
    private String contentEn;

    @ExcelProperty("内容法文")
    @ApiModelProperty(value = "内容法文")
    private String contentFr;

    @ExcelProperty("1订单消息，2出货消息,3提醒消息")
    @ApiModelProperty(value = "1订单消息，2出货消息,3提醒消息")
    private Integer type;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "读取状态", required = true)
    private String status;

}
