package cn.iocoder.yudao.module.ecw.vo.internalMessage;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

/**
 * 站内信 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class InternalMessageBaseVO {

    @ApiModelProperty(value = "站内信来源")
    @Length(max = 200, message = "长度不能超过200")
    private String fromId;

    @ApiModelProperty(value = "发送时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date sendTime;

    @ApiModelProperty(value = "标题中文")
    private String title;

    @ApiModelProperty(value = "标题英文")
    private String titleEn;

    @ApiModelProperty(value = "标题法文")
    private String titleFr;

    @ApiModelProperty(value = "内容中文")
    private String content;

    @ApiModelProperty(value = "内容英文")
    private String contentEn;

    @ApiModelProperty(value = "内容法文")
    private String contentFr;

    @ApiModelProperty(value = "1订单消息，2出货消息,3提醒消息")
    private Integer type;

}
